UnsupportedZipFeatureException.Feature
Date: 2017-02-08

org.apache.commons.compress.archivers.zip

## Class UnsupportedZipFeatureException.Feature

- java.lang.Object
- - org.apache.commons.compress.archivers.zip.UnsupportedZipFeatureException.Feature

- All Implemented Interfaces:
    java.io.Serializable
  Enclosing class:
    UnsupportedZipFeatureException

      public static class UnsupportedZipFeatureException.Feature
      extends java.lang.Object
      implements java.io.Serializable

  ZIP Features that may or may not be supported.
  Since:
    1.1
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static UnsupportedZipFeatureException.Feature` | `DATA_DESCRIPTOR` The entry uses a data descriptor.
    `static UnsupportedZipFeatureException.Feature` | `ENCRYPTION` The entry is encrypted.
    `static UnsupportedZipFeatureException.Feature` | `METHOD` The entry used an unsupported compression method.
    `static UnsupportedZipFeatureException.Feature` | `SPLITTING` The archive uses splitting or spanning.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### ENCRYPTION

          public static final UnsupportedZipFeatureException.Feature ENCRYPTION

      The entry is encrypted.

    - #### METHOD

          public static final UnsupportedZipFeatureException.Feature METHOD

      The entry used an unsupported compression method.

    - #### DATA_DESCRIPTOR

          public static final UnsupportedZipFeatureException.Feature DATA_DESCRIPTOR

      The entry uses a data descriptor.

    - #### SPLITTING

          public static final UnsupportedZipFeatureException.Feature SPLITTING

      The archive uses splitting or spanning.
      Since:
        1.5

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`